/*$Id: vec.h,v 1.1 2004/08/09 16:20:45 ttliu Exp $*/
/* vector.h */
#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>


/* Float matrix routines */

float ***ft_alloc(int npts, int nr, int nc) ;
float **fm_alloc(int nrow, int ncol) ;

/* Short matrix routines */

short int ***st_alloc(int npts, int nr, int nc) ;
short int **sm_alloc(int nrow, int ncol) ;

/* allocation shortcuts */

#define  cv_alloc(n) ((char    *) calloc( (n) ,  sizeof(char)   ))
#define  sv_alloc(n) ((short int *) calloc( (n) ,  sizeof(short int)    ))
#define  iv_alloc(n) ((int     *) calloc( (n) ,  sizeof(int)    ))
#define  fv_alloc(n) ((float   *) calloc( (n) ,  sizeof(float)  ))
#define  dv_alloc(n) ((double  *) calloc( (n) ,  sizeof(double) ))
